package cn.com.tenlion.configcolumn.pojo.dtos.configcolumnset;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ConfigColumnSetDTO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-07-09 09:48:21
 * @Version: 3.0
 **/
@ApiModel
public class ConfigColumnSetDTO {

    @ApiModelProperty(name = "configColumnSetId", value = "栏目更名以及隐藏设置表")
    private String configColumnSetId;
    @ApiModelProperty(name = "configColumnId", value = "栏目ID")
    private String configColumnId;
    @ApiModelProperty(name = "configColumnName", value = "更名")
    private String configColumnName;
    @ApiModelProperty(name = "configColumnSetMode", value = "设置模式1:隐藏,2:更名")
    private String configColumnSetMode;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getConfigColumnSetId() {
        return configColumnSetId == null ? "" : configColumnSetId.trim();
    }

    public void setConfigColumnSetId(String configColumnSetId) {
        this.configColumnSetId = configColumnSetId;
    }

    public String getConfigColumnId() {
        return configColumnId == null ? "" : configColumnId.trim();
    }

    public void setConfigColumnId(String configColumnId) {
        this.configColumnId = configColumnId;
    }

    public String getConfigColumnName() {
        return configColumnName == null ? "" : configColumnName.trim();
    }

    public void setConfigColumnName(String configColumnName) {
        this.configColumnName = configColumnName;
    }

    public String getConfigColumnSetMode() {
        return configColumnSetMode == null ? "" : configColumnSetMode.trim();
    }

    public void setConfigColumnSetMode(String configColumnSetMode) {
        this.configColumnSetMode = configColumnSetMode;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
